/******************************************************************************
*                                                                             *
*  File:                          main.c                         			  *
*  Project:                      Project 1                                    *
*  Description: This file contains C code for a PIC16F690 using HiTech PICC   *
*               lite compiler written for the PICkit2 Low Pin Count Demo	  *
*               Board.	The project simply turns on the RC0/DS1 LED.		  *						   		  *
*				 					      					  				  *
*				No warranty express or implied is assumed through             * 
*               the use of this code whether changed or unchanged! All        *
*               possible attempts have been made to make this code meet       *
*               requirements non the less...                                  *
*                                                                             *
*******************************************************************************
*                                                                             *
*  Created By:  Chuck Hellebuyck 10/18/06                                     *
*                                                                             *
*  Versions:                                                                  *
*                                                                             *
*  MAJ.MIN - AUTHOR - CHANGE DESCRIPTION                                      *
*                                                                             *
*   1.0    - T.R.S. - Turn RC0/DS1 LED on								      	  *
*                                                                             *
******************************************************************************/
#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include <pic.h>		// Include HITECH CC header file


__CONFIG (INTIO & WDTDIS & PWRTDIS & MCLRDIS & BORDIS
 & UNPROTECT & IESODIS & FCMDIS ); //Internal clock, Watchdog off, MCLR off, Code Unprotected


main()
{

ANSEL =	0;			// Intialize A/D ports off
CM1CON0 = 0;			// Initialize Comparator 1 off
CM2CON0 = 0;			// Initialize Comparator 2 off

PORTC = 0x00;			//Clear PortC port
TRISC = 0x00;			//All PortC I/O outputs


while(1==1)				//loop forever
{
	RC0 = 1;         	// Turn on RC0 LED 
	
}	//End while
}	//end main


