/******************************************************************************
*                                                                             *
*  File:                          Main.c                                      *
*  Project:                      Project 2                                    *
*  Description: This file contains C code for a PIC16F690 using HiTech PICC   *
*               lite compiler written for the PICkit2 Low Pin Count Demo	  *
*				Board. The project demonstrates the do-while statement		  *
*				by flashing the RC0/DS1 LED on and off. 					  *
*						  													  *
*				No warranty express or implied is assumed through             * 
*               the use of this code whether changed or unchanged! All        *
*               possible attempts have been made to make this code error      *
*               free.						                                  *
*                                                                             *
*******************************************************************************
*                                                                             *
*  Created By:  Chuck Hellebuyck 10/18/06                                     *
*                                                                             *
*  Versions:                                                                  *
*                                                                             *
*  MAJ.MIN - AUTHOR - CHANGE DESCRIPTION                                      *
*                                                                             *
*   1.0    - T.R.S. - Flash RC0/DS1 LED on/off 						      	  *
*                                                                             *
******************************************************************************/
#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include <pic.h>		// Include HITECH CC header file

__CONFIG (INTIO & WDTDIS & PWRTDIS & MCLRDIS & BORDIS & UNPROTECT & IESODIS & FCMDIS ); //Internal clock, Watchdog off, MCLR off, Code Unprotected

unsigned int counter;			// Create delay loop variable with max range of 0 to 65535

main()
{
ANSEL =	0;				// Intialize A/D ports off
CM1CON0 = 0;			// Initialize Comparator 1 off
CM2CON0 = 0;			// Initialize Comparator 2 off

PORTC = 0x00;				//Clear PortC port
TRISC = 0x00;				//All PortC I/O outputs


while(1==1)					//loop forever
{
	//PORTC = 0b00000000;
	RC0 = 1;         		// Turn on RC0 LED 
	counter = 65535;		// Preset counter to 65535
		do
		{	
		counter = counter - 1;	// Decrement count by one
		}	
		while (counter > 0);		// Loop until counter = 0 for delay time
	//PORTC = 0b00000001;
    RC0 = 0;       			// Turn off RC0 LED 
	counter = 65535;		// Preset counter to 65535
		do
		{	
		counter = counter - 1;	// Decrement count by one
		}
		while (counter > 0);		// Loop until counter = 0 for delay time

}	//End while
}	//end main

