/******************************************************************************
*                                                                             *
*  File:                          main.c                          			  *
*  Project:                      Project 5                                    *
*                                                                             *
*  Description: This file contains C code for a PIC16F690 using HiTech PICC   *
*               lite compiler version 9.60 written for the PICkit2 Demo Board.*
*				The project lights the LED on RC1/DS2 but turns it off when	  *
*				the SW1-RA3 switch is pressed. This program uses the If-Else  *
*				command.			  										  *
*               Note: Because of the board design, you must power the board   *
*               separately and disconnect the PICkit2 to use this code.       *
*******************************************************************************
*                                                                             *
*  Created By:  Chuck Hellebuyck 10/19/06                                     *
*                                                                             *
*  Versions:                                                                  *
*                                                                             *
*  MAJ.MIN - AUTHOR - CHANGE DESCRIPTION                                      *
*                                                                             *
*   1.0    - T.R.S. - Turn off RC0/DS1 LED when switch S3 on RA3 is pressed    	  *
*                                                                             *
******************************************************************************/
#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include <pic.h>		// Include HITECH CC header file

/*
PIC16F690 Configuration
*/
__CONFIG (INTIO & WDTDIS & PWRTDIS & MCLRDIS & BORDIS & UNPROTECT & IESODIS & FCMDIS ); //Internal clock, Watchdog off, MCLR off, Code Unprotected


main()
{
ANSEL =	0;				// Intialize A/D ports off
CM1CON0 = 0;			// Initialize Comparator 1 off
CM2CON0 = 0;			// Initialize Comparator 2 off

PORTC = 0x00;			//Clear PortC port
TRISC = 0x00;			//All PortC I/O outputs
TRISA = 0xFF;			//All PortA I/O inputs

while(1==1)				//loop forever
{
if (RA3 == 1)			// Test RA3 port
	{
	RC0 = 1;         	// If SW1 not pressed, turn on RC0/DS1 LED 
	}
else
	{
	RC0 = 0;			// If SW1 pressed, turn off RC1/DS2 LED
	}	
}	//End while
}	//end main


