/******************************************************************************
*                                                                             *
*  File:                          Proj6.c                                     *
*  Description: This file contains C code for a PIC16F690 using HiTech PICC   *
*               lite compiler version 9.60 written for the PICkit2 Demo Board.*
*		The project simply flashes the RB0 LED at a 500 msec rate.    		  *
*		This program demonstrates how to link files or functions.             *
*				                                                              *
*                                                                             *
*******************************************************************************
*                                                                             *
*  Software License Agreement                                                 *
*                                                                             *
*  The software supplied herewith by Microchip Technology Incorporated        *
*  (the Company) for its PICmicro Microcontroller is intended and          *
*  supplied to you, the Companys customer, for use solely and                *
*  exclusively on Microchip PICmicro Microcontroller products. The            *
*  software is owned by the Company and/or its supplier, and is               *
*  protected under applicable copyright laws. All rights are reserved.        *
*   Any use in violation of the foregoing restrictions may subject the        *
*  user to criminal sanctions under applicable laws, as well as to            *
*  civil liability for the breach of the terms and conditions of this         *
*  license.                                                                   *
*                                                                             *
*  THIS SOFTWARE IS PROVIDED IN AN AS IS CONDITION. NO WARRANTIES,          *
*  WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED          *
*  TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A                *
*  PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,          *
*  IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR                 *
*  CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.                          *
*                                                                             *
*******************************************************************************
*                                                                             *
*  Created By:  Chuck Hellebuyck 10/18/06                                     *
*                                                                             *
*  Versions:                                                                  *
*                                                                             *
*  MAJ.MIN - AUTHOR - CHANGE DESCRIPTION                                      *
*                                                                             *
*   1.0    - T.R.S. - Flash RB0 500 msec on/off time			              *
*                                                                             *
******************************************************************************/
#define _LEGACY_HEADERS //Added for compiler versions 9.81+
#include <pic.h>		// Include HITECH CC header file

/*
PIC16F690 Configuration
*/
__CONFIG (INTIO & WDTDIS & PWRTDIS & MCLRDIS & BORDIS & UNPROTECT & IESODIS & FCMDIS ); //Internal clock, Watchdog off, MCLR off, Code Unprotected

unsigned short delay=500;			//Initialize on/off delay value to 500 msec

void pause( unsigned short usvalue );		//Establish pause routine function


main()
{
PORTC = 0;				//Clear PortC port
TRISC = 0;				//All PortC I/O outputs


while(1==1)				//loop forever
{
	RC0 = 1;         		// Turn on RC0 LED 
	pause(delay);       	// Delay for .5 seconds
    RC0 = 0;       			// Turn off RC0 LED 
    pause(delay);       	// Delay for .5 seconds

		

}	//End while
}	//end main


